public class Location { 
	private int row; 
	private int col; 
	public Location(int row, int col) { 
		this.row = row; 
		this.col = col; 
	}//constructor

	public int getRow() { 
		return row; 
	}//getRow

	public int getCol() { 
		return col; 
	}//getCol

	public boolean equals(Object otherObject) {
            if (otherObject == null)
                return false;
	    if (otherObject.getClass() != this.getClass())
                return false;
             Location other = (Location) otherObject;
	     return row == other.getRow() && col == other.getCol(); 
	} //equals

	public String toString() { 
		return "(" + row + ", " + col + ")"; 
	}//toString
}//Location
